#import <Cocoa/Cocoa.h>
#import <ApplicationEnhancer/APEManagerPrefPane.h>
#import "CFPreferencesWrapper.h"

@interface ICeCoffEEController : NSObject <APEManagerPrefPane>
{
    CFPreferencesWrapper_ICeCoffEE *prefs;
    NSBundle *_apeBundle;
    NSBundle *_bundle;

    IBOutlet NSWindow *window;
    IBOutlet NSTabView *tabView;
    
    IBOutlet NSButton *commandClickEnabled;
    IBOutlet NSButton *textBlinkEnabled;
    IBOutlet NSPopUpButton *textBlinkCount;
    IBOutlet NSButton *servicesInContextualMenu;
    IBOutlet NSButton *servicesInMenuBar;
    IBOutlet NSButton *errorSoundEnabled;
    IBOutlet NSButton *errorDialogEnabled;
}

- (id)initWithAPE:(NSBundle *)apeBundle andBundle:(NSBundle *)prefPaneBundle;
- (void)setAPEBundle:(NSBundle*)apeBundle prefPaneBundle:(NSBundle *)aBundle;
- (NSBundle *)bundle;

- (IBAction)commandClickEnabled:(NSButton *)sender;
- (IBAction)textBlinkEnabled:(NSButton *)sender;
- (IBAction)textBlinkCount:(NSPopUpButton *)sender;
- (IBAction)servicesInContextualMenu:(NSButton *)sender;
- (IBAction)servicesInMenuBar:(NSButton *)sender;
- (IBAction)errorSoundEnabled:(NSButton *)sender;
- (IBAction)errorDialogEnabled:(NSButton *)sender;

@end
